// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public final class AccelfinServerDemoFxDtos {
  private AccelfinServerDemoFxDtos() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalPriceDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalPriceDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradeResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradeResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalTradeDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalTradeDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_LoginRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_LoginRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_LoginResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_LoginResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_UserDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_UserDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_FxSpotPriceDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_FxSpotPriceDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_TradeDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_TradeDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_CancelOrderRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_CancelOrderRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookUpdateResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBookUpdateResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookRungDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_fx_dtos_OrderBookRungDto_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\"accelfin-server-demo-fx-dtos.proto\022 co" +
      "m.accelfin.server.demo.fx.dtos\032\032accelfin" +
      "-server-dtos.proto\"\201\001\n\030InterpolationSett" +
      "ingsDto\022\033\n\023max_points_per_unit\030\001 \001(\005\022H\n\r" +
      "temporal_unit\030\002 \001(\01621.com.accelfin.serve" +
      "r.demo.fx.dtos.TemporalUnitDto\"\214\002\n\035GetHi" +
      "storicalPricesRequestDto\022\017\n\007symbols\030\001 \003(" +
      "\t\022?\n\005start\030\002 \001(\01320.com.accelfin.server.m" +
      "essaging.dtos.TimestampDto\022=\n\003end\030\003 \001(\0132" +
      "0.com.accelfin.server.messaging.dtos.Tim",
      "estampDto\022Z\n\026interpolation_settings\030\004 \001(" +
      "\0132:.com.accelfin.server.demo.fx.dtos.Int" +
      "erpolationSettingsDto\"h\n\036GetHistoricalPr" +
      "icesResponseDto\022F\n\006prices\030\001 \003(\01326.com.ac" +
      "celfin.server.demo.fx.dtos.FxHistoricalP" +
      "riceDto\"\267\003\n\024FxHistoricalPriceDto\022\n\n\002id\030\001" +
      " \001(\t\022\016\n\006symbol\030\002 \001(\t\022C\n\tspot_date\030\003 \001(\0132" +
      "0.com.accelfin.server.messaging.dtos.Tim" +
      "estampDto\022;\n\003mid\030\004 \001(\0132..com.accelfin.se" +
      "rver.messaging.dtos.DecimalDto\022;\n\003ask\030\005 ",
      "\001(\0132..com.accelfin.server.messaging.dtos" +
      ".DecimalDto\022;\n\003bid\030\006 \001(\0132..com.accelfin." +
      "server.messaging.dtos.DecimalDto\022>\n\006spre" +
      "ad\030\007 \001(\0132..com.accelfin.server.messaging" +
      ".dtos.DecimalDto\022G\n\rcreation_date\030\010 \001(\0132" +
      "0.com.accelfin.server.messaging.dtos.Tim" +
      "estampDto\"^\n\033GetStartingPricesRequestDto" +
      "\022?\n\005start\030\001 \001(\01320.com.accelfin.server.me" +
      "ssaging.dtos.TimestampDto\"l\n\034GetStarting" +
      "PricesResponseDto\022L\n\014start_prices\030\001 \003(\0132",
      "6.com.accelfin.server.demo.fx.dtos.FxHis" +
      "toricalPriceDto\"\237\001\n\035GetHistoricalTradesR" +
      "equestDto\022?\n\005start\030\001 \001(\01320.com.accelfin." +
      "server.messaging.dtos.TimestampDto\022=\n\003en" +
      "d\030\002 \001(\01320.com.accelfin.server.messaging." +
      "dtos.TimestampDto\"g\n\035GetHistoricalTradeR" +
      "esponseDto\022F\n\006trades\030\001 \003(\01326.com.accelfi" +
      "n.server.demo.fx.dtos.FxHistoricalTradeD" +
      "to\"\216\003\n\024FxHistoricalTradeDto\022\017\n\007tradeId\030\001" +
      " \001(\t\022\025\n\rcurrency_pair\030\002 \001(\t\022@\n\010notional\030",
      "\003 \001(\0132..com.accelfin.server.messaging.dt" +
      "os.DecimalDto\0227\n\004side\030\004 \001(\0162).com.accelf" +
      "in.server.demo.fx.dtos.SideDto\022E\n\005price\030" +
      "\005 \001(\01326.com.accelfin.server.demo.fx.dtos" +
      ".FxHistoricalPriceDto\022E\n\rexecuted_rate\030\006" +
      " \001(\0132..com.accelfin.server.messaging.dto" +
      "s.DecimalDto\022E\n\013executed_at\030\007 \001(\01320.com." +
      "accelfin.server.messaging.dtos.Timestamp" +
      "Dto\"`\n\031ClientHeartbeatRequestDto\022C\n\ttime" +
      "_sent\030\001 \001(\01320.com.accelfin.server.messag",
      "ing.dtos.TimestampDto\"a\n\032ClientHeartbeat" +
      "ResponseDto\022C\n\ttime_sent\030\001 \001(\01320.com.acc" +
      "elfin.server.messaging.dtos.TimestampDto" +
      "\"Q\n\017LoginRequestDto\022\021\n\tuser_name\030\001 \001(\t\022\020" +
      "\n\010password\030\002 \001(\t\022\031\n\021client_session_id\030\003 " +
      "\001(\t\"s\n\020LoginResponseDto\022\022\n\nsession_id\030\001 " +
      "\001(\t\022\022\n\nis_success\030\002 \001(\010\0227\n\004user\030\003 \001(\0132)." +
      "com.accelfin.server.demo.fx.dtos.UserDto" +
      "\"X\n\007UserDto\022\021\n\tuser_name\030\001 \001(\t\022\022\n\nfirst_" +
      "name\030\002 \001(\t\022\021\n\tlast_name\030\003 \001(\t\022\023\n\013permiss",
      "ions\030\004 \003(\t\"\306\003\n\016FxSpotPriceDto\022\n\n\002id\030\001 \001(" +
      "\t\022\016\n\006symbol\030\002 \001(\t\022C\n\tspot_date\030\003 \001(\01320.c" +
      "om.accelfin.server.messaging.dtos.Timest" +
      "ampDto\022;\n\003mid\030\004 \001(\0132..com.accelfin.serve" +
      "r.messaging.dtos.DecimalDto\022;\n\003ask\030\005 \001(\013" +
      "2..com.accelfin.server.messaging.dtos.De" +
      "cimalDto\022;\n\003bid\030\006 \001(\0132..com.accelfin.ser" +
      "ver.messaging.dtos.DecimalDto\022>\n\006spread\030" +
      "\007 \001(\0132..com.accelfin.server.messaging.dt" +
      "os.DecimalDto\022G\n\rcreation_date\030\010 \001(\01320.c",
      "om.accelfin.server.messaging.dtos.Timest" +
      "ampDto\022\023\n\013is_tradable\030\t \001(\010\"4\n!PriceSubs" +
      "criptionUpdateRequestDto\022\017\n\007symbols\030\001 \003(" +
      "\t\"8\n\"PriceSubscriptionUpdateResponseDto\022" +
      "\022\n\nis_success\030\001 \001(\010\"Y\n\026PriceUpdateRespon" +
      "seDto\022?\n\005price\030\001 \001(\01320.com.accelfin.serv" +
      "er.demo.fx.dtos.FxSpotPriceDto\"\361\001\n\025Execu" +
      "teSpotRequestDto\022\020\n\010price_id\030\001 \001(\t\022\016\n\006sy" +
      "mbol\030\002 \001(\t\0227\n\004side\030\003 \001(\0162).com.accelfin." +
      "server.demo.fx.dtos.SideDto\022>\n\006amount\030\004 ",
      "\001(\0132..com.accelfin.server.messaging.dtos" +
      ".DecimalDto\022=\n\005price\030\005 \001(\0132..com.accelfi" +
      "n.server.messaging.dtos.DecimalDto\"C\n\026Ex" +
      "ecuteSpotResponseDto\022\022\n\nis_success\030\001 \001(\010" +
      "\022\025\n\rerror_message\030\002 \001(\t\"\306\002\n\010TradeDto\022\020\n\010" +
      "trade_id\030\001 \001(\t\022\025\n\rcurrency_pair\030\002 \001(\t\022@\n" +
      "\010notional\030\003 \001(\0132..com.accelfin.server.me" +
      "ssaging.dtos.DecimalDto\0227\n\004side\030\004 \001(\0162)." +
      "com.accelfin.server.demo.fx.dtos.SideDto" +
      "\022<\n\004rate\030\005 \001(\0132..com.accelfin.server.mes",
      "saging.dtos.DecimalDto\022\021\n\tuser_name\030\006 \001(" +
      "\t\022E\n\013executed_at\030\007 \001(\01320.com.accelfin.se" +
      "rver.messaging.dtos.TimestampDto\"\247\001\n\034Cas" +
      "hBlotterUpdateResponseDto\022K\n\013update_type" +
      "\030\001 \001(\01626.com.accelfin.server.demo.fx.dto" +
      "s.BlotterUpdateTypeDto\022:\n\006trades\030\002 \003(\0132*" +
      ".com.accelfin.server.demo.fx.dtos.TradeD" +
      "to\" \n\036CashBlotterSubscribeRequestDto\"L\n\037" +
      "CashBlotterSubscribeResponseDto\022\022\n\nis_su" +
      "ccess\030\001 \001(\010\022\025\n\rerror_message\030\002 \001(\t\"\304\002\n\034E",
      "xecuteSimpleOrderRequestDto\022\025\n\rcurrency_" +
      "pair\030\001 \001(\t\022\026\n\016dealt_currency\030\002 \001(\t\0227\n\004si" +
      "de\030\003 \001(\0162).com.accelfin.server.demo.fx.d" +
      "tos.SideDto\022<\n\004type\030\004 \001(\0162..com.accelfin" +
      ".server.demo.fx.dtos.OrderTypeDto\022@\n\010not" +
      "ional\030\005 \001(\0132..com.accelfin.server.messag" +
      "ing.dtos.DecimalDto\022<\n\004rate\030\006 \001(\0132..com." +
      "accelfin.server.messaging.dtos.DecimalDt" +
      "o\"J\n\035ExecuteSimpleOrderResponseDto\022\022\n\nis" +
      "_success\030\001 \001(\010\022\025\n\rerror_message\030\002 \001(\t\")\n",
      "\025CancelOrderRequestDto\022\020\n\010order_id\030\001 \001(\t" +
      "\"\337\004\n\010OrderDto\022\021\n\tuser_name\030\001 \001(\t\022\020\n\010orde" +
      "r_id\030\002 \001(\t\022\025\n\rcurrency_pair\030\003 \001(\t\0227\n\004sid" +
      "e\030\004 \001(\0162).com.accelfin.server.demo.fx.dt" +
      "os.SideDto\022<\n\004type\030\005 \001(\0162..com.accelfin." +
      "server.demo.fx.dtos.OrderTypeDto\022@\n\010noti" +
      "onal\030\006 \001(\0132..com.accelfin.server.messagi" +
      "ng.dtos.DecimalDto\022F\n\016submitted_rate\030\007 \001" +
      "(\0132..com.accelfin.server.messaging.dtos." +
      "DecimalDto\022F\n\014submitted_at\030\010 \001(\01320.com.a",
      "ccelfin.server.messaging.dtos.TimestampD" +
      "to\022@\n\006status\030\t \001(\01620.com.accelfin.server" +
      ".demo.fx.dtos.OrderStatusDto\022E\n\013executed" +
      "_at\030\n \001(\01320.com.accelfin.server.messagin" +
      "g.dtos.TimestampDto\022E\n\rexecuted_rate\030\013 \001" +
      "(\0132..com.accelfin.server.messaging.dtos." +
      "DecimalDto\"!\n\037OrderBlotterSubscribeReque" +
      "stDto\"6\n OrderBlotterSubscribeResponseDt" +
      "o\022\022\n\nis_success\030\001 \001(\010\"\250\001\n\035OrderBlotterUp" +
      "dateResponseDto\022K\n\013update_type\030\001 \001(\01626.c",
      "om.accelfin.server.demo.fx.dtos.BlotterU" +
      "pdateTypeDto\022:\n\006orders\030\002 \003(\0132*.com.accel" +
      "fin.server.demo.fx.dtos.OrderDto\"8\n%Orde" +
      "rBookSubscriptionUpdateRequestDto\022\017\n\007sym" +
      "bols\030\001 \003(\t\"<\n&OrderBookSubscriptionUpdat" +
      "eResponseDto\022\022\n\nis_success\030\001 \001(\010\"v\n\032Orde" +
      "rBookUpdateResponseDto\022\025\n\rcurrency_pair\030" +
      "\001 \001(\t\022A\n\005rungs\030\002 \003(\01322.com.accelfin.serv" +
      "er.demo.fx.dtos.OrderBookRungDto\"\251\002\n\020Ord" +
      "erBookRungDto\022<\n\004rate\030\001 \001(\0132..com.accelf",
      "in.server.messaging.dtos.DecimalDto\022L\n\024m" +
      "arket_size_notional\030\002 \001(\0132..com.accelfin" +
      ".server.messaging.dtos.DecimalDto\022U\n\004typ" +
      "e\030\003 \001(\0162G.com.accelfin.server.demo.fx.dt" +
      "os.OrderBookRungDto.OrderBookRungTypeDto" +
      "\"2\n\024OrderBookRungTypeDto\022\007\n\003BUY\020\000\022\010\n\004SEL" +
      "L\020\001\022\007\n\003MID\020\002*4\n\017TemporalUnitDto\022\013\n\007SECON" +
      "DS\020\000\022\n\n\006MINUTE\020\001\022\010\n\004HOUR\020\002*\034\n\007SideDto\022\007\n" +
      "\003BUY\020\000\022\010\n\004SELL\020\001*:\n\024BlotterUpdateTypeDto" +
      "\022\n\n\006NORMAL\020\000\022\026\n\022STATE_OF_THE_WORLD\020\001*9\n\014",
      "OrderTypeDto\022\017\n\013TAKE_PROFIT\020\000\022\r\n\tSTOP_LO" +
      "SS\020\001\022\t\n\005LIMIT\020\002*8\n\016OrderStatusDto\022\n\n\006ACT" +
      "IVE\020\000\022\014\n\010EXECUTED\020\001\022\014\n\010CANCELED\020\002B$\n com" +
      ".accelfin.server.demo.fx.dtosP\001b\006proto3"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
        new com.google.protobuf.Descriptors.FileDescriptor.    InternalDescriptorAssigner() {
          public com.google.protobuf.ExtensionRegistry assignDescriptors(
              com.google.protobuf.Descriptors.FileDescriptor root) {
            descriptor = root;
            return null;
          }
        };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          com.accelfin.server.messaging.dtos.AccelfinServerDtos.getDescriptor(),
        }, assigner);
    internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_InterpolationSettingsDto_descriptor,
        new java.lang.String[] { "MaxPointsPerUnit", "TemporalUnit", });
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesRequestDto_descriptor,
        new java.lang.String[] { "Symbols", "Start", "End", "InterpolationSettings", });
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_descriptor,
        new java.lang.String[] { "Prices", });
    internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalPriceDto_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalPriceDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalPriceDto_descriptor,
        new java.lang.String[] { "Id", "Symbol", "SpotDate", "Mid", "Ask", "Bid", "Spread", "CreationDate", });
    internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesRequestDto_descriptor,
        new java.lang.String[] { "Start", });
    internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_GetStartingPricesResponseDto_descriptor,
        new java.lang.String[] { "StartPrices", });
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradesRequestDto_descriptor,
        new java.lang.String[] { "Start", "End", });
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradeResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradeResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalTradeResponseDto_descriptor,
        new java.lang.String[] { "Trades", });
    internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalTradeDto_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalTradeDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_FxHistoricalTradeDto_descriptor,
        new java.lang.String[] { "TradeId", "CurrencyPair", "Notional", "Side", "Price", "ExecutedRate", "ExecutedAt", });
    internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatRequestDto_descriptor,
        new java.lang.String[] { "TimeSent", });
    internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(10);
    internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_ClientHeartbeatResponseDto_descriptor,
        new java.lang.String[] { "TimeSent", });
    internal_static_com_accelfin_server_demo_fx_dtos_LoginRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(11);
    internal_static_com_accelfin_server_demo_fx_dtos_LoginRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_LoginRequestDto_descriptor,
        new java.lang.String[] { "UserName", "Password", "ClientSessionId", });
    internal_static_com_accelfin_server_demo_fx_dtos_LoginResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(12);
    internal_static_com_accelfin_server_demo_fx_dtos_LoginResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_LoginResponseDto_descriptor,
        new java.lang.String[] { "SessionId", "IsSuccess", "User", });
    internal_static_com_accelfin_server_demo_fx_dtos_UserDto_descriptor =
      getDescriptor().getMessageTypes().get(13);
    internal_static_com_accelfin_server_demo_fx_dtos_UserDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_UserDto_descriptor,
        new java.lang.String[] { "UserName", "FirstName", "LastName", "Permissions", });
    internal_static_com_accelfin_server_demo_fx_dtos_FxSpotPriceDto_descriptor =
      getDescriptor().getMessageTypes().get(14);
    internal_static_com_accelfin_server_demo_fx_dtos_FxSpotPriceDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_FxSpotPriceDto_descriptor,
        new java.lang.String[] { "Id", "Symbol", "SpotDate", "Mid", "Ask", "Bid", "Spread", "CreationDate", "IsTradable", });
    internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(15);
    internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateRequestDto_descriptor,
        new java.lang.String[] { "Symbols", });
    internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(16);
    internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_PriceSubscriptionUpdateResponseDto_descriptor,
        new java.lang.String[] { "IsSuccess", });
    internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(17);
    internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_descriptor,
        new java.lang.String[] { "Price", });
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(18);
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotRequestDto_descriptor,
        new java.lang.String[] { "PriceId", "Symbol", "Side", "Amount", "Price", });
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(19);
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSpotResponseDto_descriptor,
        new java.lang.String[] { "IsSuccess", "ErrorMessage", });
    internal_static_com_accelfin_server_demo_fx_dtos_TradeDto_descriptor =
      getDescriptor().getMessageTypes().get(20);
    internal_static_com_accelfin_server_demo_fx_dtos_TradeDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_TradeDto_descriptor,
        new java.lang.String[] { "TradeId", "CurrencyPair", "Notional", "Side", "Rate", "UserName", "ExecutedAt", });
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(21);
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_descriptor,
        new java.lang.String[] { "UpdateType", "Trades", });
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(22);
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeRequestDto_descriptor,
        new java.lang.String[] { });
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(23);
    internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterSubscribeResponseDto_descriptor,
        new java.lang.String[] { "IsSuccess", "ErrorMessage", });
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(24);
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderRequestDto_descriptor,
        new java.lang.String[] { "CurrencyPair", "DealtCurrency", "Side", "Type", "Notional", "Rate", });
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(25);
    internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_ExecuteSimpleOrderResponseDto_descriptor,
        new java.lang.String[] { "IsSuccess", "ErrorMessage", });
    internal_static_com_accelfin_server_demo_fx_dtos_CancelOrderRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(26);
    internal_static_com_accelfin_server_demo_fx_dtos_CancelOrderRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_CancelOrderRequestDto_descriptor,
        new java.lang.String[] { "OrderId", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderDto_descriptor =
      getDescriptor().getMessageTypes().get(27);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderDto_descriptor,
        new java.lang.String[] { "UserName", "OrderId", "CurrencyPair", "Side", "Type", "Notional", "SubmittedRate", "SubmittedAt", "Status", "ExecutedAt", "ExecutedRate", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(28);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeRequestDto_descriptor,
        new java.lang.String[] { });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(29);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterSubscribeResponseDto_descriptor,
        new java.lang.String[] { "IsSuccess", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(30);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBlotterUpdateResponseDto_descriptor,
        new java.lang.String[] { "UpdateType", "Orders", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(31);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateRequestDto_descriptor,
        new java.lang.String[] { "Symbols", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(32);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBookSubscriptionUpdateResponseDto_descriptor,
        new java.lang.String[] { "IsSuccess", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookUpdateResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(33);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookUpdateResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBookUpdateResponseDto_descriptor,
        new java.lang.String[] { "CurrencyPair", "Rungs", });
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookRungDto_descriptor =
      getDescriptor().getMessageTypes().get(34);
    internal_static_com_accelfin_server_demo_fx_dtos_OrderBookRungDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_fx_dtos_OrderBookRungDto_descriptor,
        new java.lang.String[] { "Rate", "MarketSizeNotional", "Type", });
    com.accelfin.server.messaging.dtos.AccelfinServerDtos.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
